class 'l_PortalLogoScreen' (BaseScreen)

function l_PortalLogoScreen:__init(name, screen)
	BaseScreen.__init(self, name, screen)

    -- Create portal screen ---------------------------------------------------
    local anim = CreateAnimationByTextureName(PORTAL_LOGO_FILE_NAME)
	screen:CreateObject('PortalLogo',anim,512,384,70,0,1,1)	
	screen:GetObject('PortalLogo'):SetScale(SCR_W/screen:GetObject('PortalLogo'):GetAnimation():GetWidth())
	
	self.dt = 0
	screen:GetObject('fade'):ChangeOpacity(1, 0, 0.3)
end

function l_PortalLogoScreen:OnUpdate(dt)
    local screen = self:GetTopLevelScreen()
    if not screen:IsDestroy() then
        self.dt = self.dt + dt;
        if self.dt > 3 then
            OnPortalLogoScreenDestroy()
        end
    end
end

function l_PortalLogoScreen:OnAllItemsFound()

end

function l_PortalLogoScreen:OnObjectMouseEnter(object)

end

function l_PortalLogoScreen:OnObjectMouseLeave(object)

end

function l_PortalLogoScreen:OnScreenObjectMouseDown(object)
    local screen = self:GetTopLevelScreen()
    if not screen:IsDestroy() then
        OnPortalLogoScreenDestroy()
    end
end

function l_PortalLogoScreen:OnObjectMouseDownProcessed(is_wrong_click)

end

function l_PortalLogoScreen:OnObjectMouseUp(object)

end

function l_PortalLogoScreen:OnObjectFound(object)

end

function l_PortalLogoScreen:OnToolFound(tool)

end

function l_PortalLogoScreen:OnToolApply(tool, object)

end

function l_PortalLogoScreen:OnObjectReachPanel(object)

end

function l_PortalLogoScreen:OnButtonPress(title)

end

function l_PortalLogoScreen:OnMouseMove(previous_pos, current_pos)

end

function l_PortalLogoScreen:OnSetTool(tool)

end

function l_PortalLogoScreen:OnLoaded()

end

function l_PortalLogoScreen:OnDestroy()

end

--------------------------------------------------------------------------------
function CreatePortalLogoScreen()
    local screen = CreateScriptedScreen('data/Scripts/screens/PortalLogoScreen.lua', 'l_PortalLogoScreen')
    PopUpScreensMgr:Push(screen, false, nil)
end
--------------------------------------------------------------------------------
function OnPortalLogoScreenDestroy()
     PopUpScreensMgr:Pop()
     CreateBigFishScreen()
end
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_PortalLogoScreen:LoadData(screen)
	
	

end
-- CLEAR_ON_SAVE_END
